com.holonplatform.vaadin.components.builders

## Interface BaseLayoutBuilder<C extends com.vaadin.ui.Layout,B extends BaseLayoutBuilder<C,B>>

- Type Parameters:
    `C` - Layout type
    `B` - Concrete builder type
  All Superinterfaces:
    ComponentBuilder<C,B>, ComponentConfigurator<B>, ComponentContainerBuilder<C,B>, ComponentContainerConfigurator<B>
  All Known Subinterfaces:
    CssLayoutBuilder, FormLayoutBuilder, GridLayoutBuilder, HorizontalLayoutBuilder, LayoutBuilder<C,B>, OrderedLayoutBuilder<C,B>, VerticalLayoutBuilder

      public interface BaseLayoutBuilder<C extends com.vaadin.ui.Layout,B extends BaseLayoutBuilder<C,B>>
      extends ComponentContainerBuilder<C,B>

  Base builder to create `Layout` component containers.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `withLayoutClickListener(com.vaadin.event.LayoutEvents.LayoutClickListener listener)` Adds a click listener to the layout.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentContainerConfigurator

      `add, withComponentAttachListener, withComponentDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization, dragSource, dropTarget`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### withLayoutClickListener

          B withLayoutClickListener(com.vaadin.event.LayoutEvents.LayoutClickListener listener)

      Adds a click listener to the layout. The listener is called whenever the user clicks inside the layout. An event is also triggered when the click targets a component inside a nested layout or Panel, provided the targeted component does not prevent the click event from propagating. A caption is not considered part of a component. The child component that was clicked is included in the `LayoutEvents.LayoutClickEvent`.
      Parameters:
        `listener` - The listener to add
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.